module Data.SMTP.Types.Seal where

import Data.ByteString (ByteString)

data Seal = Seal {
  cp :: ByteString,
  seal :: ByteString,
  nonce :: Maybe ByteString} deriving (Eq, Ord, Read, Show)

{- |
Name of URI parameter (that follows the ? sign) that holds a seal: "seal"

(Quite unexpected, wasn't it?)
-}
sealURIParam :: String
sealURIParam = "seal"
